কনটেন্টে যান

Fibo Lite · Structured Prompt

ইন্টিগ্রেট করুন

মডেল id bria/fibo-lite/generate/structured_prompt
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-lite/generate/structured_prompt?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

এই অনুরোধ: ০.০০৮$ ৮ API ক্রেডিট এই পেজে চালান

API কী পান
Bria AI LLM দ্রুত #bria#fibo#structured-prompt

ছবি তৈরি না করে টেক্সট বা ছবিকে Fibo Lite কাঠামোবদ্ধ JSON প্রম্পটে রূপান্তর করে

Bria AI · ডেটা (JSON)

আপনার প্রথম ফলাফল এখানে আসবে

নিচে একটি রিকোয়েস্ট তৈরি করে আপনার API কী দিয়ে চালান। আউটপুট আমাদের স্টোরেজে কপি করা হয়, চিরকাল বা বিনামূল্যে ৭ দিন পর্যন্ত রাখা হয়।

একটি অনুরোধ তৈরি করুন

মডেল স্কিমা থেকে কন্ট্রোল তৈরি করা হয়। এগুলো পরিবর্তন করলে কোড ও মূল্য আপডেট হয়।

জেনারেশনের জন্য ব্যবহৃত প্রম্পট।

অ্যাডভান্সড image · seed · structured_prompt
image_url
একটি ফাইল ড্রপ করুন, অথবা

ইনপুট ছবির URL।

ডিফল্ট 7

র‍্যান্ডম-নম্বর জেনারেটর দ্বারা ব্যবহৃত সিড।

জেনারেশনের জন্য ব্যবহৃত কাঠামোবদ্ধ প্রম্পট।

POST /run/bria/fibo-lite/generate/structured_prompt?wait=20 মূল্য → ০.০০৮$
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-lite/generate/structured_prompt?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

এই অনুরোধ চালান

আপনার key এই ব্রাউজারেই থাকে: এটি শুধু Doitong API-তে পাঠানো হয় এবং Remember টিক দিলে কেবল localStorage-এ সংরক্ষিত হয়। একটি API কী পান

Fibo Lite · Structured Prompt সম্পর্কে

ছবির পরিবর্তে Fibo Lite-এ ব্যবহারের জন্য একটি কাঠামোবদ্ধ বর্ণনা ফেরত দেয়। ইনপুট হলো `prompt`, বিদ্যমান `structured_prompt` অথবা একটি `image_url`, সঙ্গে `seed`। JSON আউটপুটে নান্দনিকতা, শৈল্পিক স্টাইল, ব্যাকগ্রাউন্ড সেটিং, আলো, অবজেক্ট, ফটোগ্রাফিক বৈশিষ্ট্য, বিষয়ের আবেগ এবং রেন্ডার করা টেক্সট থাকে।

প্যারামিটার

ক্যানোনিকাল নাম অথবা নেটিভ নাম—দুটো একসঙ্গে নয়—পাঠান। ক্যানোনিকাল নামগুলো

নামধরন ডিফল্টঅনুমোদিত বিবরণ
promptঐচ্ছিক
ধরনstring | null
জেনারেশনের জন্য ব্যবহৃত প্রম্পট।
structured_promptঐচ্ছিক
ধরনobject
জেনারেশনের জন্য ব্যবহৃত কাঠামোবদ্ধ প্রম্পট।
structured_prompt.short_descriptionআবশ্যক
ধরনstring
ছবিতে কী আছে তার সংক্ষিপ্ত বিবরণ, সর্বোচ্চ 200 শব্দে সীমাবদ্ধ।
structured_prompt.objectsআবশ্যক
ধরনobject[]
ফোরগ্রাউন্ড বা মিডগ্রাউন্ডের উল্লেখযোগ্য বস্তুর তালিকা।
structured_prompt.objects[].descriptionআবশ্যক
ধরনstring
বস্তুটির সংক্ষিপ্তসার।
structured_prompt.objects[].locationআবশ্যক
ধরনstring
অবস্থান, যেমন: 'center', 'top-left', বা 'bottom-right foreground'।
structured_prompt.objects[].relationshipআবশ্যক
ধরনstring
ছবির মধ্যে এই বস্তুটি অন্যগুলোর সঙ্গে কীভাবে সম্পর্কিত তা বর্ণনা করুন।
structured_prompt.objects[].relative_sizeঐচ্ছিক
ধরনstring | null
আকার, যেমন: 'small', 'medium', বা 'large within frame'।
structured_prompt.objects[].shape_and_colorঐচ্ছিক
ধরনstring | null
বস্তুর মৌলিক আকৃতি ও প্রধান রং।
structured_prompt.objects[].textureঐচ্ছিক
ধরনstring | null
টেক্সচার, যেমন: 'smooth', 'rough', 'metallic', বা 'furry'।
structured_prompt.objects[].appearance_detailsঐচ্ছিক
ধরনstring | null
উল্লেখ করার মতো অতিরিক্ত দৃশ্যমান বৈশিষ্ট্য।
structured_prompt.objects[].number_of_objectsঐচ্ছিক
ধরনinteger | null
ক্লাস্টারের মধ্যে বস্তুর সংখ্যা।
structured_prompt.objects[].poseঐচ্ছিক
ধরনstring | null
দেহের অবস্থান।
structured_prompt.objects[].expressionঐচ্ছিক
ধরনstring | null
মুখে প্রকাশিত অভিব্যক্তি।
structured_prompt.objects[].clothingঐচ্ছিক
ধরনstring | null
পরিহিত পোশাক।
structured_prompt.objects[].actionঐচ্ছিক
ধরনstring | null
ব্যক্তিটি যে কাজটি করছেন।
structured_prompt.objects[].genderঐচ্ছিক
ধরনstring | null
ব্যক্তিটির লিঙ্গ।
structured_prompt.objects[].skin_tone_and_textureঐচ্ছিক
ধরনstring | null
ত্বকের টোন ও টেক্সচার।
structured_prompt.objects[].orientationঐচ্ছিক
ধরনstring | null
ব্যক্তিটির অভিমুখ।
structured_prompt.background_settingআবশ্যক
ধরনstring
পুরো দৃশ্যের বিবরণ: এটি কোথায় ঘটছে, চারপাশ বা পটভূমি কেমন, এবং উল্লেখ করার মতো পেছনের যেকোনো বৈশিষ্ট্য।
structured_prompt.lightingআবশ্যক
ধরনobject
আলোকসজ্জা সম্পর্কিত তথ্য।
structured_prompt.lighting.conditionsআবশ্যক
ধরনstring
আলোকসজ্জার উদাহরণের মধ্যে রয়েছে 'bright daylight', 'dim indoor', 'studio lighting', এবং 'golden hour'।
structured_prompt.lighting.directionআবশ্যক
ধরনstring
আলোকসজ্জার দিক; উদাহরণের মধ্যে রয়েছে 'front-lit', 'backlit', এবং 'side-lit from left'।
structured_prompt.lighting.shadowsঐচ্ছিক
ধরনstring | null
উপস্থিত যেকোনো ছায়ার বিবরণ।
structured_prompt.aestheticsআবশ্যক
ধরনobject
ছবির নান্দনিক বৈশিষ্ট্য সম্পর্কিত তথ্য।
structured_prompt.aesthetics.compositionআবশ্যক
ধরনstring
কম্পোজিশনের ধরন; উদাহরণের মধ্যে রয়েছে 'rule of thirds', 'symmetrical', 'centered', এবং 'leading lines'।
structured_prompt.aesthetics.color_schemeআবশ্যক
ধরনstring
রঙের স্কিম; উদাহরণের মধ্যে রয়েছে 'monochromatic blue', 'warm complementary colors', এবং 'high contrast'।
structured_prompt.aesthetics.mood_atmosphereআবশ্যক
ধরনstring
মেজাজ বা আবহ, যেমন `joyful`, `serene`, `mysterious`, বা `energetic`।
structured_prompt.aesthetics.aesthetic_scoreআবশ্যক
ধরনstring
স্কোরের বিবরণ, যেমন medium, very low, low, very high, বা high।
structured_prompt.aesthetics.preference_scoreআবশ্যক
ধরনstring
স্কোরের বিবরণ, যেমন medium, very low, low, very high, বা high।
structured_prompt.photographic_characteristicsঐচ্ছিক
ধরনobject
ফটোগ্রাফিক বৈশিষ্ট্য সম্পর্কিত তথ্য।
structured_prompt.photographic_characteristics.depth_of_fieldআবশ্যক
ধরনstring
ডেপথ অব ফিল্ড; উদাহরণের মধ্যে রয়েছে 'shallow', 'deep', এবং 'bokeh background'।
structured_prompt.photographic_characteristics.focusআবশ্যক
ধরনstring
ফোকাসের বৈশিষ্ট্য; উদাহরণের মধ্যে রয়েছে 'sharp focus on subject', 'soft focus', এবং 'motion blur'।
structured_prompt.photographic_characteristics.camera_angleআবশ্যক
ধরনstring
ক্যামেরার কোণ; উদাহরণের মধ্যে রয়েছে 'eye-level', 'low angle', 'high angle', এবং 'dutch angle'।
structured_prompt.photographic_characteristics.lens_focal_lengthআবশ্যক
ধরনstring
লেন্সের ধরন বা ফোকাল দৈর্ঘ্য, যেমন `macro`, `fisheye`, `wide-angle`, বা `telephoto`।
structured_prompt.style_mediumঐচ্ছিক
ধরনstring | null
ব্যবহৃত শৈল্পিক মাধ্যম বা স্টাইল।
structured_prompt.text_renderঐচ্ছিক
ধরনobject[]
ছবির মধ্যে রেন্ডার করা টেক্সট উপাদানের তালিকা।
structured_prompt.text_render[].textআবশ্যক
ধরনstring
টেক্সটের বিষয়বস্তু।
structured_prompt.text_render[].locationআবশ্যক
ধরনstring
অবস্থান, যেমন: 'center', 'top-left', বা 'bottom-right foreground'।
structured_prompt.text_render[].sizeআবশ্যক
ধরনstring
আকার, যেমন: 'small', 'medium', বা 'large within frame'।
structured_prompt.text_render[].colorআবশ্যক
ধরনstring
রং, যেমন `green`, `red`, বা `blue`।
structured_prompt.text_render[].fontআবশ্যক
ধরনstring
ফন্টের স্টাইল, যেমন `minimalist`, `realistic`, বা `cartoonish`।
structured_prompt.text_render[].appearance_detailsঐচ্ছিক
ধরনstring | null
উল্লেখ করার মতো অতিরিক্ত দৃশ্যমান বৈশিষ্ট্য।
structured_prompt.contextআবশ্যক
ধরনstring
ছবিটির ব্যাখ্যায় সহায়ক অতিরিক্ত প্রসঙ্গ।
structured_prompt.artistic_styleআবশ্যক
ধরনstring
সর্বোচ্চ 3টি শব্দে প্রকাশিত নির্দিষ্ট শৈল্পিক বৈশিষ্ট্য।
structured_prompt.subject_emotionsঐচ্ছিক
ধরনstring | null
বিষয়গুলোর দৃশ্যমান অভিব্যক্তি বা আবেগের সুস্পষ্ট বিবরণ।
image_urlঐচ্ছিক image
ধরনurl · image
ইনপুট ছবির URL।
seedঐচ্ছিক
ধরনinteger
ডিফল্ট7
র‍্যান্ডম-নম্বর জেনারেটর দ্বারা ব্যবহৃত সিড।
আবশ্যক ক্যানোনিকাল নাম, এটিও গ্রহণযোগ্য

ফাইল প্যারামিটার হিসেবে একটি পাবলিক https:// URL, 10 MB পর্যন্ত একটি data: URI, অথবা আপলোডের file_url গ্রহণ করা হয়। ফাইল

আউটপুট

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bria/fibo-lite/generate/structured_prompt",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 8,
    "usd": "0.008",
    "charged": 8,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "short_description": "string",
    "objects": [
      {
        "description": "string",
        "location": "string",
        "relationship": "string",
        "relative_size": "string",
        "shape_and_color": "string",
        "texture": "string",
        "appearance_details": "string",
        "number_of_objects": 1,
        "pose": "string",
        "expression": "string",
        "clothing": "string",
        "action": "string",
        "gender": "string",
        "skin_tone_and_texture": "string",
        "orientation": "string"
      }
    ],
    "background_setting": "string",
    "lighting": {
      "conditions": "string",
      "direction": "string",
      "shadows": "string"
    },
    "aesthetics": {
      "composition": "string",
      "color_scheme": "string",
      "mood_atmosphere": "string",
      "aesthetic_score": "string",
      "preference_score": "string"
    },
    "photographic_characteristics": {
      "depth_of_field": "string",
      "focus": "string",
      "camera_angle": "string",
      "lens_focal_length": "string"
    },
    "style_medium": "string",
    "text_render": [
      {
        "text": "string",
        "location": "string",
        "size": "string",
        "color": "string",
        "font": "string",
        "appearance_details": "string"
      }
    ],
    "context": "string",
    "artistic_style": "string",
    "subject_emotions": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
আপনার ফাইল, আপনার পছন্দপ্রতিটি outputs[].url আমাদের স্টোরেজে একটি কপি: চিরকাল রাখা হয় (প্রতি GB-মাস অনুযায়ী অর্থপ্রদত্ত) অথবা অ্যাকাউন্ট সেটিংস বা ?storage= অনুযায়ী বিনামূল্যে ৭ দিন পর্যন্ত।
প্রতিটি মডেলে একই গঠনছবি, ভিডিও এবং অডিও—সব ক্ষেত্রেই type, url, content_type, width, height এবং duration। output হলো মডেলের নিজস্ব ফলাফল অবজেক্ট।
আউটপুটের ফিল্ড
short_description
stringছবিতে কী আছে তার সংক্ষিপ্ত বিবরণ, সর্বোচ্চ 200 শব্দে সীমাবদ্ধ।
objects
array of object {description, location, relationship, relative_size, shape_and_color, texture, appearance_details, number_of_objects, pose, expression, clothing, action, gender, skin_tone_and_texture, orientation}ফোরগ্রাউন্ড বা মিডগ্রাউন্ডের উল্লেখযোগ্য বস্তুর তালিকা।
background_setting
stringপুরো দৃশ্যের বিবরণ: এটি কোথায় ঘটছে, চারপাশ বা পটভূমি কেমন, এবং উল্লেখ করার মতো পেছনের যেকোনো বৈশিষ্ট্য।
lighting
object {conditions, direction, shadows}আলোকসজ্জা সম্পর্কিত তথ্য।
aesthetics
object {composition, color_scheme, mood_atmosphere, aesthetic_score, preference_score}ছবির নান্দনিক বৈশিষ্ট্য সম্পর্কিত তথ্য।
photographic_characteristics
object {depth_of_field, focus, camera_angle, lens_focal_length} | nullফটোগ্রাফিক বৈশিষ্ট্য সম্পর্কিত তথ্য।
style_medium
string | nullব্যবহৃত শৈল্পিক মাধ্যম বা স্টাইল।
text_render
array of object {text, location, size, color, font, appearance_details} | nullছবির মধ্যে রেন্ডার করা টেক্সট উপাদানের তালিকা।
context
stringছবিটির ব্যাখ্যায় সহায়ক অতিরিক্ত প্রসঙ্গ।
artistic_style
stringসর্বোচ্চ 3টি শব্দে প্রকাশিত নির্দিষ্ট শৈল্পিক বৈশিষ্ট্য।
subject_emotions
string | nullবিষয়গুলোর দৃশ্যমান অভিব্যক্তি বা আবেগের সুস্পষ্ট বিবরণ।

আরও মডেল: LLM

AI এজেন্টদের জন্য: এই পৃষ্ঠাটি Markdown হিসেবে এখানে আছে https://doitong.com/bn/developers/models/bria/fibo-lite/generate/structured_prompt.md. সব মডেল ও গাইড: https://doitong.com/developers/llms.txt